Runtime

## org.eclipse.gmf.runtime.common.ui.services.icon
Class GetIconOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.icon.IconOperation
          org.eclipse.gmf.runtime.common.ui.services.icon.GetIconOperation

All Implemented Interfaces:
  IOperation, IIconOperation

    public class GetIconOperation

extends IconOperation

The operation used with the `IconService`. GetIconOperation is instantiated by the `IconService` with an `IAdaptable` element for which an icon is to be retrieved, and is executed using FIRST `ExecutionStrategy`.

Constructor Summary
`protected` `GetIconOperation(IAdaptable hint, int flags)` Constructor for GetIconOperation.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.icon.IconOperation
`getHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetIconOperation

    protected GetIconOperation(IAdaptable hint,
                               int flags)

  Constructor for GetIconOperation.

  Parameters:
    `hint` - argument adaptable to IElement
    `flags` - icon flags, ex. IconOptions.NONE

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.
  See Also:
    `IOperation.execute(IProvider)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.